Bug 160328 - depresolve backtrace
depresolve backtrace
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-14 10:34 EDT by Jef Spaleta
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-14 11:21:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2005-06-14 10:34:43 EDT
Description of problem:
yum-2.3.2-7

Okay i realize now that this is a dumb thing to do without using quotes.
But this is tracing back so clearly the protectfromidiotuser() function needs a
little love.

yum resolvedep kernel-devel-i686 = 2.6.11-1.1369_FC4smp
Searching Packages for Dependency:
Setting up repositories
Reading repository metadata in from local files
0:kernel-devel-2.6.11-1.1381_FC5.i686
Traceback (most recent call last):
  File "/usr/bin/yum", line 15, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 72, in main
    result, resultmsgs = do()
  File "/usr/share/yum-cli/cli.py", line 545, in doCommands
    return self.resolveDepCli()
  File "/usr/share/yum-cli/cli.py", line 1151, in resolveDepCli
    pkg = self.returnPackageByDep(arg)
  File "__init__.py", line 1217, in returnPackageByDep
ValueError: need more than 1 value to unpack
Comment 1 Seth Vidal 2005-06-14 11:21:17 EDT
Thanks, Fixed upstream.

it won't resolve that dep b/c it is unquoted but now it doesn't traceback, it
treats that as 3 strings to resolve.


Note You need to log in before you can comment on or make changes to this bug.